#include "pch.h"
#include "resource.h"
#include "BK0010.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

constexpr auto BRD_10_FOCAL_BNK = 5;
constexpr auto BRD_10_TESTS_BNK = 7;

IMPLEMENT_DYNAMIC(CBK0010, CBK001001)

CBK0010::CBK0010()
    = default;

CBK0010::~CBK0010()
    = default;

bool CBK0010::OnInitDevice()
{
	// инициализируем список загружаемых ПЗУ
	static const CBKMPIDevice::BoardRomList_t m_arrBK10RomList[BK1001RomListSize] =
	{
		{ IDS_INI_BK10_RE2_017_MONITOR, BRD_10_MON10_BNK },
		{ IDS_INI_BK10_RE2_084_FOCAL,   BRD_10_FOCAL_BNK },
		{ IDS_INI_BK10_RE2_019_MSTD,    BRD_10_TESTS_BNK }
	};
	// инициализация карты памяти
	return InitMemoryModules(m_arrBK10RomList, 3);
}

